
/* JavaScript content from js/myProvisioningChallengeHandler.js in folder common */
/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
var myCustomDeviceProvisioningChallengeHandler = WL.Client
        .createProvisioningChallengeHandler("MyCustomProvisioning");

myCustomDeviceProvisioningChallengeHandler.createJsonCsr = function(provisionEntity, realm, customPayload){
	var csrPayload = {};
	if (!WLJSX.Object.isUndefined(customPayload)){
		csrPayload = customPayload;
	}
	
	csrPayload.deviceId = device.uuid;
	
	if(provisionEntity == 'application') {
		csrPayload.applicationId = WL.StaticAppProps.APP_DISPLAY_NAME;
	} else if (provisionEntity.indexOf("group:") == 0){
		csrPayload.groupId = provisionEntity.substr(6);
	}
	
	myCustomDeviceProvisioningChallengeHandler.onCsrDataReady(csrPayload, provisionEntity);
};

// call this after provisioning successful
saveCertificate = function(token, entity, certificate) {
	WL.DeviceAuth.saveCertificate(
			//success callback
			function(){
				var deviceAuthSettings = {
            			token : token,
						isProvisioningEnabled : true,
						provisioningEntity : entity
            	};
				myCustomDeviceProvisioningChallengeHandler.createJSONDeviceAuth(deviceAuthSettings);
			}, 
			//failure callback
			function(err){
				//handle error
			},
			entity, certificate, "MyCustomProvisioning");
};

failure = function(err){
	alert("failed");
}